
.header {
    padding: 10px 0px;

}
.nav-link , .nav-link a{
    font-family: var(--font);
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
    margin-left: 10px;
    color: #000;
}
.explore-menu-link {
    padding: 6px 18px;
    margin-top: -6px;
    border: 2px solid var(--black);
    border-radius: 20px;
    color: black;
    font-size: 16px;
    font-weight: 600;
}
.explore-menu-link::after, .explore-course-link::after, .services-menu-link::after {
    content: " ";
    width: 15px;
    height: 10px;
    margin-left: 5px;
    background-image: url('../assets/nav/down-arrow.png');
    background-repeat: no-repeat;
    display: inline-block;
}

.scroll-header {
    transition: all 0.4s ease-in-out; 
    opacity: 0; 
}
.fixed-top {
    position: fixed;
    top: 0;
    z-index: 10;
    width: 100%;
    background: var(--white);
    box-shadow: 3px 1px 9px 1px #d5d5d5;
    opacity: 1; 
}
.scroll-header {
    transition: all 0.2s ease-in-out; 
    opacity: 0; 
    transform: translateY(-100%); /* Keep it off-screen */
}
.fixed-top {
    position: fixed;
    top: 0;
    z-index: 10;
    width: 100%;
    background: var(--white);
    box-shadow: 3px 1px 9px 1px #d5d5d5;
    opacity: 1; 
    transform: translateY(0); /* Bring it into view */
}

.offcanvas {
    height: 100vh;
    width: 75% !important;
}
.dropdown-menu-item {
    position: relative;
}
/* Initially hidden dropdown menu */
.megamenu-dropdown {
    opacity: 0;
    visibility: hidden;
    position: absolute;
    z-index: 9;
    top: 50px;
    transition: opacity 0.5s ease-in-out, visibility 0.5s ease-in-out 0.1s;
}
 .courses .megamenu-dropdown{
    width: 650px;
    max-width: 900px;
}
.services-menu .megamenu-dropdown{
    width: 260px;
    max-width: 420px;
}
/* Dropdown menu content styling */
.megamenu-main-dropdown {
    display: flex;
    background-color: #fff;
    border-radius: 15px;
    padding: 20px 30px 10px;
    gap: 20px;
}
.megamenu-main-dropdown > ul {
    flex-grow: 1;
}
.megamenu-main-dropdown > ul > li {
    margin-bottom: 10px;
}
.megamenu-main-dropdown > ul > li > a {
    margin-left: 0px;
}
.megamenu-main-dropdown > ul > li:hover {
    opacity: 0.7;
}
/* Hover effect to show the dropdown */
.dropdown-menu-item:hover .megamenu-dropdown {
    opacity: 1;
    visibility: visible;
    transition-delay: 0s;
}
/* Mobile menu styling */
.mbl-menu-hidden {
    display: none;
}
.mbl-menu {
    background-color: #f1f1f1;
    padding:15px 10px;
    border-radius: 12px;
    /* margin: 15px; */
}
.mbl-menu .mbl-menu-dropdown > ul {
    padding-inline-start: 0px;
}
.mbl-menu .mbl-menu-dropdown > ul > li a {
    margin-left: 0px;
}
.mbl-menu .mbl-menu-dropdown > ul > li {
    margin-bottom: 10px;
}
.offcanvas-body{
    padding: 0;
}
.offcanvas .nav-link{
    margin: 10px 0px;
    padding: 10px 10px 10px 20px;
}
.offcanvas .nav-link:hover{
    background-color: #f1f1f1;
}
.offcanvas .nav-link ,.offcanvas .nav-link a{
    font-size: 22px;
    font-weight: 500;
}
.offcanvas .nav-link a{
    margin-left: 0; 
}
@media only screen and (max-width: 564px) {
    .offcanvas-header .navbar-brand > img {
        width: 170px;
    }
}
